diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/setup.cfg ns-3.43/setup.cfg
--- ns-3.42/setup.cfg	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/setup.cfg	2024-10-09 16:41:09.844655800 -0700
@@ -26,8 +26,6 @@
     Intended Audience :: Developers
     Intended Audience :: Science/Research
     Programming Language :: C++
-    Programming Language :: Python :: 3.6
-    Programming Language :: Python :: 3.7
     Programming Language :: Python :: 3.8
     Programming Language :: Python :: 3.9
     Programming Language :: Python :: 3.10
@@ -38,7 +36,7 @@
 
 [options]
 zip_safe = False
-python_requires = >=3.6
+python_requires = >=3.8
 install_requires =
     cppyy==3.1.2
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/angles.cc ns-3.43/src/antenna/model/angles.cc
--- ns-3.42/src/antenna/model/angles.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/angles.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/angles.h ns-3.43/src/antenna/model/angles.h
--- ns-3.42/src/antenna/model/angles.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/angles.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/antenna-model.cc ns-3.43/src/antenna/model/antenna-model.cc
--- ns-3.42/src/antenna/model/antenna-model.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/antenna-model.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/antenna-model.h ns-3.43/src/antenna/model/antenna-model.h
--- ns-3.42/src/antenna/model/antenna-model.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/antenna-model.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/circular-aperture-antenna-model.cc ns-3.43/src/antenna/model/circular-aperture-antenna-model.cc
--- ns-3.42/src/antenna/model/circular-aperture-antenna-model.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/circular-aperture-antenna-model.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mattia Sandri <mattia.sandri@unipd.it>
  */
@@ -33,9 +22,9 @@
 #include <math.h>
 
 /**
- *  \file
- *  \ingroup antenna
- *  Class CircularApertureAntennaModel implementation.
+ * \file
+ * \ingroup antenna
+ * Class CircularApertureAntennaModel implementation.
  */
 
 namespace
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/circular-aperture-antenna-model.h ns-3.43/src/antenna/model/circular-aperture-antenna-model.h
--- ns-3.42/src/antenna/model/circular-aperture-antenna-model.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/circular-aperture-antenna-model.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mattia Sandri <mattia.sandri@unipd.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/cosine-antenna-model.cc ns-3.43/src/antenna/model/cosine-antenna-model.cc
--- ns-3.42/src/antenna/model/cosine-antenna-model.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/cosine-antenna-model.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/cosine-antenna-model.h ns-3.43/src/antenna/model/cosine-antenna-model.h
--- ns-3.42/src/antenna/model/cosine-antenna-model.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/cosine-antenna-model.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/isotropic-antenna-model.cc ns-3.43/src/antenna/model/isotropic-antenna-model.cc
--- ns-3.42/src/antenna/model/isotropic-antenna-model.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/isotropic-antenna-model.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/isotropic-antenna-model.h ns-3.43/src/antenna/model/isotropic-antenna-model.h
--- ns-3.42/src/antenna/model/isotropic-antenna-model.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/isotropic-antenna-model.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/parabolic-antenna-model.cc ns-3.43/src/antenna/model/parabolic-antenna-model.cc
--- ns-3.42/src/antenna/model/parabolic-antenna-model.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/parabolic-antenna-model.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/parabolic-antenna-model.h ns-3.43/src/antenna/model/parabolic-antenna-model.h
--- ns-3.42/src/antenna/model/parabolic-antenna-model.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/parabolic-antenna-model.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/phased-array-model.cc ns-3.43/src/antenna/model/phased-array-model.cc
--- ns-3.42/src/antenna/model/phased-array-model.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/phased-array-model.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  *   Copyright (c) 2020 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- *   This program is free software; you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License version 2 as
- *   published by the Free Software Foundation;
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *   SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "phased-array-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/phased-array-model.h ns-3.43/src/antenna/model/phased-array-model.h
--- ns-3.42/src/antenna/model/phased-array-model.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/phased-array-model.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  *   Copyright (c) 2020 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- *   This program is free software; you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License version 2 as
- *   published by the Free Software Foundation;
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *   SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef PHASED_ARRAY_MODEL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/three-gpp-antenna-model.cc ns-3.43/src/antenna/model/three-gpp-antenna-model.cc
--- ns-3.42/src/antenna/model/three-gpp-antenna-model.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/three-gpp-antenna-model.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "three-gpp-antenna-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/three-gpp-antenna-model.h ns-3.43/src/antenna/model/three-gpp-antenna-model.h
--- ns-3.42/src/antenna/model/three-gpp-antenna-model.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/three-gpp-antenna-model.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef THREE_GPP_ANTENNA_MODEL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/uniform-planar-array.cc ns-3.43/src/antenna/model/uniform-planar-array.cc
--- ns-3.42/src/antenna/model/uniform-planar-array.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/uniform-planar-array.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  *   Copyright (c) 2020 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- *   This program is free software; you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License version 2 as
- *   published by the Free Software Foundation;
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *   SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "uniform-planar-array.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/model/uniform-planar-array.h ns-3.43/src/antenna/model/uniform-planar-array.h
--- ns-3.42/src/antenna/model/uniform-planar-array.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/model/uniform-planar-array.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  *   Copyright (c) 2020 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- *   This program is free software; you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License version 2 as
- *   published by the Free Software Foundation;
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *   SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef UNIFORM_PLANAR_ARRAY_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/test/test-angles.cc ns-3.43/src/antenna/test/test-angles.cc
--- ns-3.42/src/antenna/test/test-angles.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/test/test-angles.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/test/test-circular-aperture-antenna.cc ns-3.43/src/antenna/test/test-circular-aperture-antenna.cc
--- ns-3.42/src/antenna/test/test-circular-aperture-antenna.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/test/test-circular-aperture-antenna.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  *   Copyright (c) 2023 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- *   This program is free software; you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License version 2 as
- *   published by the Free Software Foundation;
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *   SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/circular-aperture-antenna-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/test/test-cosine-antenna.cc ns-3.43/src/antenna/test/test-cosine-antenna.cc
--- ns-3.42/src/antenna/test/test-cosine-antenna.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/test/test-cosine-antenna.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/test/test-degrees-radians.cc ns-3.43/src/antenna/test/test-degrees-radians.cc
--- ns-3.42/src/antenna/test/test-degrees-radians.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/test/test-degrees-radians.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/test/test-isotropic-antenna.cc ns-3.43/src/antenna/test/test-isotropic-antenna.cc
--- ns-3.42/src/antenna/test/test-isotropic-antenna.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/test/test-isotropic-antenna.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/test/test-parabolic-antenna.cc ns-3.43/src/antenna/test/test-parabolic-antenna.cc
--- ns-3.42/src/antenna/test/test-parabolic-antenna.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/test/test-parabolic-antenna.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,12 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/antenna/test/test-uniform-planar-array.cc ns-3.43/src/antenna/test/test-uniform-planar-array.cc
--- ns-3.42/src/antenna/test/test-uniform-planar-array.cc	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/antenna/test/test-uniform-planar-array.cc	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  *   Copyright (c) 2020 University of Padova, Dep. of Information Engineering, SIGNET lab.
  *
- *   This program is free software; you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License version 2 as
- *   published by the Free Software Foundation;
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *   SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "cmath"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/doc/aodv.h ns-3.43/src/aodv/doc/aodv.h
--- ns-3.42/src/aodv/doc/aodv.h	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/aodv/doc/aodv.h	2024-10-09 16:41:09.844655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Based on
  *      NS-2 AODV model developed by the CMU/MONARCH group and optimized and
